---
search:
  tags:
    - Tax Groups
    - PUT
seo:
  description: >-
    Associates a market… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug}/market/{market_slug}
    endpoint in the Management API.
sidebar:
  label: Add a market to a tax group
  badge: PUT
title: Add a market to a tax group
type: openapi-operation
---
Associates a market with a tax group and configures country-specific tax percentages for all countries in the market.

`PUT /api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug}/market/{market_slug}`

**Request body** (`application/json`, required)

Country tax percentages

- `country_tax_percentages` (internal_pkg_webserver_v1.InputTaxGroupCountryTaxPercentage[], required)

Request body example:

```json
{
  "country_tax_percentages": [
    {
      "country_code": "string",
      "tax_percentage": 0
    }
  ]
}
```

**Responses**

- `200` — Market added to tax group successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Tax group or market not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "description": "string",
    "id": "string",
    "is_default": true,
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "country_tax_percentages": [
          {
            "country_code": "string",
            "created_at": "string",
            "id": "string",
            "tax_percentage": 0,
            "updated_at": "string"
          }
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
